8 Replies Latest reply: Aug 24, 2012 1:04 AM by mallerst RSS

    Extension Builder 2.0 and InDesign CS5?

    mallerst Community Member

      Hi,

       

      I recently tried to create an Adobe Extension that uses host adapters. But after exporting the extension and installing it with the Adobe Extension Manager CS5 I got an error message during startup of InDesign that the host adapter is not a valid plugin. Is it possible that the Extension Manager 2.0 does not support InDesign CS5 with host adapters? Because the plugin without the host adapter works. Or do I need older host adapter plugins? If yes, where can I download them?

       

      Thanks a lot,

      Martin

        • 1. Re: Extension Builder 2.0 and InDesign CS5?
          Joe Tam Adobe Employee

          Hi Martin,

           

          What is the exact version of InDesign that you are running- is it InDesign CS5 or CS5.1, and on which platform? Can you also post the <files> section of your mxi file?

           

          Thanks,

          Joe

          • 2. Re: Extension Builder 2.0 and InDesign CS5?
            mallerst Community Member

            Hi Joe,

             

            thanks for your answer! The exact version is InDesign CS5 version 7.0.4 on Windows 7 Enterprise SP1.

             

            The files section is generated by the Extension Builder as follows:

             

            <files>

                <file destination="" file-type="CSXS" products="" source="panel.zxp"/>

                <file destination="$plugin/Extensions" maxVersion="15.1" minVersion="15.0" platform="win" products="Illustrator" shared="true" source="ai_host_adapter/win/AIHostAdapter.aip"/>

                <file destination="$plugin/Extensions.localized" maxVersion="15.1" minVersion="15.0" platform="mac" products="Illustrator" shared="true" source="ai_host_adapter/mac/AIHostAdapter.aip"/>

                <file destination="$plugin/Extensions" maxVersion="16.9" minVersion="16.0" platform="win" products="Illustrator32" shared="true" source="ai_host_adapter/win32/AIHostAdapter.aip"/>

                <file destination="$plugin/Extensions" maxVersion="16.9" minVersion="16.0" platform="win" products="Illustrator64" shared="true" source="ai_host_adapter/win64/AIHostAdapter.aip"/>

                <file destination="$plugin/Extensions.localized" maxVersion="16.9" minVersion="16.0" platform="mac" products="Illustrator" shared="true" source="ai_host_adapter/mac/AIHostAdapter.aip"/>

                <file destination="$automate" maxVersion="12.1" minVersion="12.0" platform="win" products="Photoshop32" shared="true" source="ps_host_adapter/win32/PSHostAdapter.8li"/>

                <file destination="$automate" maxVersion="12.1" minVersion="12.0" platform="win" products="Photoshop64" shared="true" source="ps_host_adapter/win64/PSHostAdapter.8li"/>

                <file destination="$automate" maxVersion="12.1" minVersion="12.0" platform="mac" products="Photoshop" shared="true" source="ps_host_adapter/mac/PSHostAdapter.plugin"/>

                <file destination="$automate" maxVersion="13.9" minVersion="13.0" platform="win" products="Photoshop32" shared="true" source="ps_host_adapter/win32/PSHostAdapter.8li"/>

                <file destination="$automate" maxVersion="13.9" minVersion="13.0" platform="win" products="Photoshop64" shared="true" source="ps_host_adapter/win64/PSHostAdapter.8li"/>

                <file destination="$automate" maxVersion="13.9" minVersion="13.0" platform="mac" products="Photoshop" shared="true" source="ps_host_adapter/mac/PSHostAdapter.plugin"/>

                <file destination="$indesign/Plug-Ins" maxVersion="7.5" minVersion="7.0" platform="win" products="InDesign" shared="true" source="id_host_adapter/win/IDHostAdapter.pln"/>

                <file destination="$indesign/Plug-Ins" maxVersion="7.5" minVersion="7.0" platform="mac" products="InDesign" shared="true" source="id_host_adapter/mac/IDHostAdapter.InDesignPlugin"/>

                <file destination="$indesign/Plug-Ins" maxVersion="7.5" minVersion="7.0" platform="win" products="InDesign" shared="true" source="id_host_adapter/win/(IDHostAdapter Resources)"/>

                <file destination="$indesign/Plug-Ins" maxVersion="8.9" minVersion="8.0" platform="win" products="InDesign" shared="true" source="id_host_adapter/win/IDHostAdapter.pln"/>

                <file destination="$indesign/Plug-Ins" maxVersion="8.9" minVersion="8.0" platform="mac" products="InDesign" shared="true" source="id_host_adapter/mac/IDHostAdapter.InDesignPlugin"/>

                <file destination="$indesign/Plug-Ins" maxVersion="8.9" minVersion="8.0" platform="win" products="InDesign" shared="true" source="id_host_adapter/win/(IDHostAdapter Resources)"/>

              </files>

             

            Thanks,

            Martin

            • 3. Re: Extension Builder 2.0 and InDesign CS5?
              mallerst Community Member

              No ideas what the problem could be?

               

              Thanks,

              Martin

              • 4. Re: Extension Builder 2.0 and InDesign CS5?
                Joe Tam Adobe Employee

                Hi Martin,

                 

                Sorry for the delay in replying. We are currently looking into the issue. I will keep you posted.

                 

                Thanks,

                Joe

                • 5. Re: Extension Builder 2.0 and InDesign CS5?
                  Joe Tam Adobe Employee

                  Hi Martin,

                   

                  Can you try changing the paths to the host adapters to be absolute paths, and also add the individual folders (csadapters-1.0 and csadapters-2.0) to your project? The host adapters are located under $(ExtensionBuilder_installation)/com.adobe.cside.libsinstaller_xxxx/archive/.

                   

                  Additionally, modify your mxi entries for InDesign host adapters to target version 7.5 - 7.9 (CS5.5) using csadapters-1.0 and version 8.0-8.9(CS6) using csadapters-2.0. Then download the CS5 ID adapter from the link below and add them to your project to target version 7.0 - 7.4.

                   

                  Sorry about the inconvenience. I hope this works out for you.

                   

                  Thanks,

                  Joe

                   

                  http://cssdk.host.adobe.com/sdk/2.0/patch/indesign_ha_cs5.zip

                  • 6. Re: Extension Builder 2.0 and InDesign CS5?
                    mallerst Community Member

                    Hi Joe,

                     

                    thanks for the CS5 host adapters. Unfortunately I still get the following error message during startup of InDesign CS5:

                     

                    Adobe InDesign cannot load the IDHOSTADAPTER.PLN plug-in. The IDHOSTADAPTER.PLN plug-in requires the 7.5 version of InDesign.

                    Please contact the vendor to get a compatible version of IDHOSTADAPTER.PLN.

                     

                    I could not use absolute paths in the mxi file because they were always interpreted as relative paths. But I don't think this is the problem, because all host adpaters are packaged in the generated zxp file. It seems that the versions of the CS5 host adapter and InDesign CS5 still do not fit together.

                     

                    It would be create if you could provide additional links to host adapters of different versions I could try?

                     

                    Thanks,

                    Martin

                    • 7. Re: Extension Builder 2.0 and InDesign CS5?
                      Joe Tam Adobe Employee

                      Hi Martin,

                       

                      This archive contains the ID host adapters for both CS5 and CS5.5. This should work for your configuration.

                       

                      http://cssdk.host.adobe.com/sdk/2.0/patch/id_host_adapter.zip

                       

                      Thanks,

                      Joe

                      • 8. Re: Extension Builder 2.0 and InDesign CS5?
                        mallerst Community Member

                        Hi Joe,

                         

                        thanks a lot! These host adapters work.

                         

                        Thanks,

                        Martin